@import "~@/assets/sass/theme.sass"
@import "~@/assets/sass/common/typography.sass"

.select
  display: grid
  align-items: center
  grid-template-columns: 420px 1fr
  grid-column-gap: 50px
  padding: 200px 0
  min-height: 410px
  @media (max-width: $mbp)
    grid-template-columns: 1fr
    padding: 100px 0 50px 0
    grid-row-gap: 50px
  &-left
    display: flex
    flex-direction: column
    align-items: flex-start
    @media (max-width: $mbp)
      order: 2
  &__gradient
    margin-bottom: 24px
    max-width: 200px
    width: 0
  &__title
    @extend .text-f36
    opacity: 0
    color: $white
    font-weight: 700
    margin-bottom: 24px
    @media (max-width: $mbp)
      font-size: $f22-size
      line-height: $f22-lh
  &__text
    @extend .text-f16
    opacity: 0
    color: $white
    margin-bottom: 48px
  &-right
    position: relative
    display: flex
    align-items: center
    justify-content: center
    height: 410px
    @media (max-width: $mbp)
      order: 1
      height: 180px
    &-item
      box-shadow: 0 13px 70px rgba(0, 255, 17, 0.15)
      border-radius: 10px
      background-color: $black-2
      padding: 50px
      height: 100%
      width: 100%
      opacity: 0
      @media (max-width: $mbp)
        height: 180px
      &-wrapper
        left: 50%
        top: 50%
        transform: translate(-50%, -50%)
        position: absolute
        width: 40%
        height: 410px
        @media (max-width: $mbp)
          height: 180px
        &:nth-child(1)
          left: 15%
          transform: translate(-50%, -50%) scale(0.6)
          z-index: 1
          .select-right-item
            padding: 10px 0
            @media (max-width: $mbp)
              padding: 4px 0
          .select-right-item__image
            background-image: url("~@/assets/images/heroes/char_1.png")
        &:nth-child(2)
          left: 30%
          transform: translate(-50%, -50%) scale(0.8)
          z-index: 2
          .select-right-item
            padding: 30px 0
            @media (max-width: $mbp)
              padding: 16px 0
          .select-right-item__image
            background-image: url("~@/assets/images/heroes/char_2.png")
        &:nth-child(3)
          transform: translate(-50%, -50%) scale(1)
          z-index: 3
          .select-right-item
            padding: 50px 0
            @media (max-width: $mbp)
              padding: 16px 0
          .select-right-item__image
            background-image: url("~@/assets/images/heroes/char_3.png")
        &:nth-child(4)
          left: 70%
          transform: translate(-50%, -50%) scale(.8)
          z-index: 2
          .select-right-item
            padding: 30px 0
            @media (max-width: $mbp)
              padding: 16px 0
          .select-right-item__image
            background-image: url("~@/assets/images/heroes/char_4.png")
        &:nth-child(5)
          left: 85%
          transform: translate(-50%, -50%) scale(.6)
          z-index: 1
          .select-right-item
            padding: 10px 0
            @media (max-width: $mbp)
              padding: 4px 0
          .select-right-item__image
            background-image: url("~@/assets/images/heroes/char_5.png")
      &__image
        height: 100%
        width: 100%
        background-repeat: no-repeat
        background-position: center
        background-size: contain
        opacity: 0
  &__btn
    opacity: 0
    @media (max-width: $mbp)
      align-self: stretch
